Checkin Lists
7 endpoints
/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/checkins
list checkins
Returns all checkins for a checkin list, ordered by most recent first
Requires authentication
Path parameters
| Name | Description |
|---|---|
account_slug string Required |
Account slug |
event_slug string Required |
Event slug |
checkin_list_id integer Required |
Checkin list ID |
Response fields
| Field | Description |
|---|---|
checkins array |
|
checkins[].id integer |
Checkin ID |
checkins[].ticket object |
|
checkins[].ticket.id integer |
Ticket ID |
checkins[].ticket.reference string |
Ticket reference |
checkins[].ticket.name string |
Attendee name |
checkins[].created_at string |
|
checkins[].qr_code_scanned boolean |
Whether the QR code was scanned |
checkins[].online boolean |
Whether the checkin was performed online |
meta object |
|
meta.lookup_mode string |
|
meta.pagination object |
|
meta.pagination.page integer |
|
meta.pagination.items integer |
|
meta.pagination.pages integer |
|
meta.pagination.count integer |
Error responses
- 401 – unauthorized
- 404 – not found
Example request
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.pro.tito.io/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/checkins
Example response
{
"checkin_lists": [
{
"id": 1,
"name": "Main entrance",
"checked_in_count": 42,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
},
{
"id": 2,
"name": "VIP entrance",
"checked_in_count": 8,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}
/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/orders
list orders for checkin list
Returns all orders that can be checked in to this checkin list, including QR code identifiers and ticket type counts
Requires authentication
Path parameters
| Name | Description |
|---|---|
account_slug string Required |
Account slug |
event_slug string Required |
Event slug |
checkin_list_id integer Required |
Checkin list ID |
Response fields
| Field | Description |
|---|---|
orders array |
|
orders[].qr_code_identifier string |
QR code token for scanning |
orders[].qr_code_url string |
URL encoded in the QR code |
orders[].url_checksum string |
Checksum for URL verification |
orders[].reference string |
Order reference |
orders[].order_id integer |
Order ID |
orders[].ticket_types object |
Ticket type slugs mapped to their count in this order |
meta object |
|
meta.lookup_mode string |
|
meta.pagination object |
|
meta.pagination.page integer |
|
meta.pagination.items integer |
|
meta.pagination.pages integer |
|
meta.pagination.count integer |
Error responses
- 401 – unauthorized
Example request
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.pro.tito.io/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/orders
Example response
{
"checkin_lists": [
{
"id": 1,
"name": "Main entrance",
"checked_in_count": 42,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
},
{
"id": 2,
"name": "VIP entrance",
"checked_in_count": 8,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}
/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/orders/{order_qr_token}/checkins
check in an order
Creates checkins for an order using its QR code token. Pass ticket type slugs as form parameters with the number of tickets to check in. For example, if the order has a ticket type with slug `general-admission`, send `general-admission=1` to check in one ticket of that type.
Requires authentication
Path parameters
| Name | Description |
|---|---|
account_slug string Required |
Account slug |
event_slug string Required |
Event slug |
checkin_list_id integer Required |
Checkin list ID |
order_qr_token string Required |
Order QR code token |
Error responses
- 401 – unauthorized
Example request
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.pro.tito.io/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/orders/{order_qr_token}/checkins
/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/tickets
list tickets for checkin list
Returns all tickets that can be checked in to this checkin list, including QR code identifiers
Requires authentication
Path parameters
| Name | Description |
|---|---|
account_slug string Required |
Account slug |
event_slug string Required |
Event slug |
checkin_list_id integer Required |
Checkin list ID |
Response fields
| Field | Description |
|---|---|
tickets array |
|
tickets[].qr_code_identifier string |
QR code token for scanning |
tickets[].qr_code_url string |
URL encoded in the QR code |
tickets[].url_checksum string |
Checksum for URL verification |
tickets[].reference string |
Ticket reference |
tickets[].id integer |
Ticket ID |
tickets[].ticket_type string |
Name of the ticket type |
meta object |
|
meta.lookup_mode string |
|
meta.pagination object |
|
meta.pagination.page integer |
|
meta.pagination.items integer |
|
meta.pagination.pages integer |
|
meta.pagination.count integer |
Error responses
- 401 – unauthorized
Example request
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.pro.tito.io/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/tickets
Example response
{
"checkin_lists": [
{
"id": 1,
"name": "Main entrance",
"checked_in_count": 42,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
},
{
"id": 2,
"name": "VIP entrance",
"checked_in_count": 8,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}
/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/tickets/{ticket_qr_token}/checkins
check in a ticket
Creates a checkin for a ticket using its QR code token
Requires authentication
Path parameters
| Name | Description |
|---|---|
account_slug string Required |
Account slug |
event_slug string Required |
Event slug |
checkin_list_id integer Required |
Checkin list ID |
ticket_qr_token string Required |
Ticket QR code token |
Error responses
- 401 – unauthorized
Example request
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.pro.tito.io/{account_slug}/{event_slug}/checkin_lists/{checkin_list_id}/tickets/{ticket_qr_token}/checkins
/{account_slug}/{event_slug}/checkin_lists
list checkin lists
Returns all checkin lists for an event
Requires authentication
Path parameters
| Name | Description |
|---|---|
account_slug string Required |
Account slug |
event_slug string Required |
Event slug |
Query parameters
| Name | Description |
|---|---|
q string |
Search query |
Response fields
| Field | Description |
|---|---|
checkin_lists array |
|
checkin_lists[].id integer |
|
checkin_lists[].name string |
|
checkin_lists[].checked_in_count integer |
|
checkin_lists[].created_at string |
|
checkin_lists[].updated_at string |
|
meta object |
|
meta.current_page integer |
|
meta.next_page integer | null |
|
meta.prev_page integer | null |
|
meta.total_pages integer |
|
meta.total_count integer |
Error responses
- 401 – unauthorized
- 403 – forbidden
Example request
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.pro.tito.io/{account_slug}/{event_slug}/checkin_lists
Example response
{
"checkin_lists": [
{
"id": 1,
"name": "Main entrance",
"checked_in_count": 42,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
},
{
"id": 2,
"name": "VIP entrance",
"checked_in_count": 8,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}
/{account_slug}/{event_slug}/checkin_lists/{id}
show checkin list
Returns details of a specific checkin list
Requires authentication
Path parameters
| Name | Description |
|---|---|
account_slug string Required |
Account slug |
event_slug string Required |
Event slug |
id string Required |
Checkin list ID |
Response fields
| Field | Description |
|---|---|
id integer |
|
name string |
|
checked_in_count integer |
|
created_at string |
|
updated_at string |
Error responses
- 401 – unauthorized
- 403 – forbidden
- 404 – not found
Example request
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.pro.tito.io/{account_slug}/{event_slug}/checkin_lists/123
Example response
{
"id": 1,
"name": "Main entrance",
"checked_in_count": 42,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}